<? $this->layout()->disableLayout() ?>

<div>
	<h2 class="e_showname" style="float: left; margin-right: 10px;" rel="<?= $this->escort->email ?>">Escort: <?= $this->escort->showname ?> (ID: <?= $this->escort->id ?>)</h2>
	<a class="btn-quick-email"></a>
	<div class="clear"></div>
</div>

<? if ( count($this->susp_data) ): ?>
<div style="margin-top: 10px;">
	<strong>Was marked suspicious by</strong> <?= $this->susp_data['username'] ?> <strong>at</strong> <?= date("d M Y H:i", $this->susp_data['date']) ?> <strong>because of:</strong>
	<div style="background-color: #eee; border: 1px solid #ccc; padding: 3px; margin-top: 5px; overflow: hidden;">
		<?= $this->susp_data['comment'] ?>
	</div>
</div>
<? endif; ?>

<div class="clear"></div>

<style type="text/css">
	.photos {
		background: #999;
		padding: 10px 10px 0 0;
		/*overflow: hidden;*/
		list-style: none;
	}
	
	.photos-public { overflow-y:scroll; height: 300px; position: relative;}
	
	.photos li {
		float: left;
		margin: 0 0 10px 10px;
	}
	
	.photo {
		background: #fff;
		width: 150px;
		/*height: 150px;*/
		border: 1px solid #777;
		padding: 0;
		/*margin: 0 0 10px 10px;
		float: left;*/
		border-collapse: collapse;
	}
	
	.photo img {
		/*cursor: move;*/
		border:0;
	}
	
	.photo td {
		padding: 0;
		margin: 0;
		text-align: center;
		vertical-align: middle;
	}
	
	.photo .wrapper {
		padding: 5px;
		position: relative;
		overflow: hidden;
		width: 150px;
		height: 205px;
	}	
	.photo .chunks
	{
		position: absolute;
		right: 5px;
		bottom: 8px;
		z-index: 11;
	}
	.photo .chunks>div
	{
		float: left;
		margin-left: 5px;
	}
	.photo div.chk {
		position: static;
		background: #f00;
		padding: 3px;
		border: 1px solid #f00;
		z-index: 2;
	}
	
	.photos div.chk input {
		display: block;
		cursor: pointer;
		position: relative;
	}
	
	.photo .status div {
		padding: 2px 4px;
		float: left;
		margin-left: 3px;
	}
	
	.photo .p100 {
		background: url('/img/100p.png');
		width: 28px;
		height: 20px;
		padding: 0 !important;
	}
	
	.photo .retouch {
		background: #f7b142;
	}
	
	.photo .main {
		background: #5e5;
	}
	
	.photo .rotatable {
		background: #EDD98E;
	}
	
	.photo a {
		outline:none !important;
		text-decoration:none !important;
	}
	.photo .status {
		font-size: 11px;
		color: #fff;
		position: absolute;
		right: 8px;
		top: 8px;
		z-index: 2;
	}
	
	.photo .status div {
		padding: 2px 4px;
		float: left;
		margin-left: 3px;
	}
	.photo .suspicious{
		background:#F6A91E;
	}
	
	.idcard-photo { 
		float:left;
		margin:5px 10px 5px 0;
		width:117px;
		position:relative;
		/*border:1px solid gray;*/
	}
	
	.idcard-photo .actions{ 
		bottom: 4px;
		left: 4px;
		position: absolute;
		z-index: 2;
	}
	
	.idcard-photo .actions .rotate-left {
		background: url("/img/famfamfam/arrow_rotate_anticlockwise.png") no-repeat scroll 50% 50% rgba(0, 0, 0, 0);
		display: block;
		float: right;
		height: 16px;
		width: 16px;
		cursor:pointer;
	}
	
	.idcard-photo .actions .rotate-right {
		background: url("/img/famfamfam/arrow_rotate_clockwise.png") no-repeat scroll 50% 50% rgba(0, 0, 0, 0);
		display: block;
		float: right;
		height: 16px;
		margin-right: 4px;
		width: 16px;
		cursor:pointer;
	}
	
	.idcard-photo a {
		outline:none !important;
		text-decoration:none !important;
	}
	
	.idcard-photo img {
		border:1px solid gray;
	}
	.date {
		width: 70px;
	}
	
	
</style>

<div class="form-common mt20">
	<fieldset  <?= ( Cubix_Application::getId() == APP_EF && $this->age_info) ? 'class="inner w30"' : '' ?>>
		<legend>Uploaded Photos For Verification</legend>
		
		<?php foreach($this->idcard_photos as $idcard_photo): ?>
		<div class="idcard-photo">
			<? if($idcard_photo->is_video): ?>
			<img src="/img/video_back_logo.jpg" class="certify_video cursor-pointer" rel="/<?= $idcard_photo->hash.'.'.$idcard_photo->ext.'?sid='. $this->sid ?>" width="117" height="97" />
			<? else: ?>
			<div class="actions" hash="<?= $idcard_photo->hash ?>" ext="<?= $idcard_photo->ext ?>">
				<span class="rotate-left"></span>
				<span class="rotate-right"></span>
			</div>
			
				<? if (Cubix_Application::getId() == APP_EF): ?>
					<a href="<?= $idcard_photo->getUrl('t100p').'?cache='.rand().'&sid='. $this->sid ?>" class="highslide"  onclick="return hs.expand(this);">
						<img class="img-file" title="Comment::<?= $idcard_photo->comment ?>" src="<?= $idcard_photo->getUrl('t100p').'?cache='.rand().'&sid='. $this->sid ?>" width="117" height="97" />
					</a>
				<? else: ?>
					<a href="<?= $idcard_photo->getUrl().'?cache='.rand() ?>" class="highslide"  onclick="return hs.expand(this);">
						<img class="img-file" title="Comment::<?= $idcard_photo->comment ?>" src="<?= $idcard_photo->getUrl('t100p').'?cache='.rand() ?>" width="117" height="97" />
					</a>
				<? endif; ?>
			<? endif; ?>
		</div>
		<?php endforeach; ?>
		
		<div class="clear"></div>
	</fieldset>
	
	<? if (Cubix_Application::getId() == APP_EF && $this->age_info): ?>
	
	<fieldset class="inner" style="height:147px">
		<legend>Information</legend>
		<? if (in_array($this->user_type, array('superadmin', 'admin'))): ?>
			<div class="inner" id="msg"></div>
			<div class="clear"></div>
			<div class="inner">
				<label for="name">First Name</label>
				<input type="hidden" id="age_verify_id" value="<?= $this->age_info->id ?>" />
				<input type="text" id="name" value="<?= $this->age_info->name ?>" class="txt w16" />
			</div>

			<div class="inner">
				<label for="last-name">Last Name</label>
				<input type="text" id="last-name"  value="<?= $this->age_info->last_name ?>" class="txt w16" />
			</div>
			<div class="clear"></div>

			<div class="inner">
				<label for="born-date">Born Date</label>

				<select name="day" id="day" class="date" >
					<option value="0">----</option>
					<? for ( $i = 1; $i <= 31; $i++ ): ?>
					<option value="<?= $i ?>" <?= $this->age_info->day == $i ? ' selected="selected"' : '' ?>><?= $i ?></option>
					<? endfor; ?>
				</select>

				<select name="month" id="month" class="date">
					<option value="0">----</option>
					<? for ( $i = 1; $i <= 12; $i++ ): $timestamp = mktime(null, null, null, $i, 1); $month = date('M', $timestamp); ?>
					<option value="<?= $i ?>" <?= $this->age_info->month == $i ? ' selected="selected"' : '' ?>><?=  $month ?></option>
					<? endfor; ?>
				</select>

				<select name="year" id="year" class="date" >
					<option value="0">----</option>
					<? for ( $i = date('Y', strtotime('-100 years')); $i <= date('Y', strtotime('-18 years')); $i++ ): ?>
					<option value="<?= $i ?>"<?= $this->age_info->year == $i ? ' selected="selected"' : '' ?>><?= $i ?></option>
					<? endfor; ?>
				</select>
			</div>
			
			<a id="btn-info"></a>
			<div class="clear"></div>
		<? else: ?>
			<div class="inner">
				<label for="name">First Name</label>
				<input type="text" value="<?= $this->age_info->name ?>" class="txt w16" readonly="readonly" >
			</div>

			<div class="inner">
				<label for="last-name">Last Name</label>
				<input type="text" value="<?= $this->age_info->last_name ?>" class="txt w16" readonly="readonly" >
			</div>
			<div class="clear"></div>

			<div class="inner">
				<label for="born-date">Born Date</label>
				<input type="text" value="<?= $this->age_info->born_date ?>" class="txt w16" readonly="readonly" >
			</div>
			<div class="clear"></div>
		<? endif; ?>
	</fieldset>
	<? endif;?>
	<div class="clear"></div>
</div>

<div id="id-photo-tabs" class="mt10">

    <!-- >>> MooTabs Tab Items -->
    <ul class="mootabs_title">
        <li title="Public"><span>Public</span></li>
        <li title="Private"><span>Private</span></li>
        <? if ( in_array(Cubix_Application::getId(),array(APP_A6,APP_EF,APP_6A))): ?>
        <li title="Archived"><span>Archived</span></li>
        <? endif; ?>
        <li title="Disabled"><span>Disabled</span></li>

        <? if ( Cubix_Application::getId() == APP_EF ): ?>
            <li title="Photo-history"><span>Photo History</span></li>
        <? endif; ?>
    </ul>
    <!-- <<< -->

    <div id="Public" class="mootabs_panel" style="padding: 0">

        <ul class="photos photos-public">
            <?php foreach($this->photos as $photo): ?>
            <?php if( $photo->type == 3 || $photo->type == 4 || $photo->type == 5){continue;}?>
            <li>
                <table class="photo">
                    <tr>
                        <td>
                            <div class="wrapper <?= ($photo->is_main) ? 'main' : ''; ?>">
                                <div class="status">
                                    <? if($photo->is_suspicious):?>
                                    <div class="suspicious">suspicious</div>
                                    <? endif;?>
                                </div>
                                <? if( Cubix_Application::getId() == APP_EF):?>
                                <div class="chunks">
                                    <div class="chk">
                                        <input type="checkbox" name="photos[]" value="<?= $photo->id ?>">
                                    </div>
                                </div>
                                <? endif; ?>
                                <a href="<?= $photo->getUrl('orig'); ?>" class="highslide" onclick="return hs.expand(this);">
                                    <img src="<?= $photo->getUrl('backend_thumb'); ?>"/>
                                </a>
                            </div>
                        </td>
                    </tr>
                </table>
            </li>
            <?php endforeach; ?>
        </ul>

    </div>

    <div id="Private" class="mootabs_panel" style="padding: 0">

        <ul class="photos photos-public">
            <?php foreach($this->photos as $photo): ?>
            <?php if ( $photo->type != 3 ) {continue;} ?>
            <li>
                <table class="photo">
                    <tr>
                        <td>
                            <div class="wrapper <?= ($photo->is_main) ? 'main' : ''; ?>">
                                <div class="status">
                                    <? if($photo->is_suspicious):?>
                                    <div class="suspicious">suspicious</div>
                                    <? endif;?>
                                </div>
                                <? if( Cubix_Application::getId() == APP_EF):?>
                                <div class="chunks">
                                    <div class="chk">
                                        <input type="checkbox" name="photos[]" value="<?= $photo->id ?>">
                                    </div>
                                </div>
                                <? endif; ?>
                                <a href="<?= $photo->getUrl('orig'); ?>" class="highslide" onclick="return hs.expand(this);">
                                <img src="<?= $photo->getUrl('backend_thumb'); ?>"/>
                                </a>
                            </div>
                        </td>
                    </tr>
                </table>
            </li>
            <?php endforeach; ?>
        </ul>

    </div>

    <? if ( in_array(Cubix_Application::getId(),array(APP_A6,APP_EF,APP_6A))): ?>
    <div id="Archived" class="mootabs_panel" style="padding: 0">

        <ul class="photos photos-public">
            <?php foreach($this->photos as $photo): ?>
            <?php if( $photo->type != 5 ) {continue;}?>
            <li>
                <table class="photo">
                    <tr>
                        <td>
                            <div class="wrapper">
                                <div class="status">
                                    <? if($photo->is_suspicious):?>
                                    <div class="suspicious">suspicious</div>
                                    <? endif;?>
                                </div>
                                <a href="<?= $photo->getUrl('orig'); ?>" class="highslide" onclick="return hs.expand(this);">
                                <img src="<?= $photo->getUrl('backend_thumb'); ?>"/>
                                </a>
                            </div>
                        </td>
                    </tr>
                </table>
            </li>
            <?php endforeach; ?>
        </ul>

    </div>
    <? endif; ?>

    <div id="Disabled" class="mootabs_panel" style="padding: 0">

        <ul class="photos photos-public">
            <?php foreach($this->photos as $photo): ?>
            <?php if( $photo->type != 4 ) {continue;}?>
            <li>
                <table class="photo">
                    <tr>
                        <td>
                            <div class="wrapper">
                                <div class="status">
                                    <? if($photo->is_suspicious):?>
                                    <div class="suspicious">suspicious</div>
                                    <? endif;?>
                                </div>
                                <? if( Cubix_Application::getId() == APP_EF):?>
                                <div class="chunks">
                                    <div class="chk">
                                        <input type="checkbox" name="photos[]" value="<?= $photo->id ?>">
                                    </div>
                                </div>
                                <? endif;?>
                                <a href="<?= $photo->getUrl('orig'); ?>" class="highslide" onclick="return hs.expand(this);">
                                <img src="<?= $photo->getUrl('backend_thumb'); ?>"/>
                                </a>
                            </div>
                        </td>
                    </tr>
                </table>
            </li>
            <?php endforeach; ?>
        </ul>

    </div>

    <?php if ( Cubix_Application::getId() == APP_EF ): ?>
        <div id="Photo-history" class="mootabs_panel">
            <ul class="photos photo-history">
                <?= $this->render('idcard/photo_history.phtml') ?>
            </ul>
        </div>
    <?php endif; ?>

</div><!-- photo-tabs -->
